package com.zd.airbottle.mapper;

import java.util.List;
import com.zd.airbottle.domain.QpSpecification;

/**
 * 气瓶规格Mapper接口
 *
 * @author zd
 * @date 2022-05-09
 */
public interface QpSpecificationMapper
{
    /**
     * 查询气瓶规格
     *
     * @param id 气瓶规格主键
     * @return 气瓶规格
     */
    public QpSpecification selectQpSpecificationById(Long id);

    /**
     * 查询气瓶规格列表
     *
     * @param qpSpecification 气瓶规格
     * @return 气瓶规格集合
     */
    public List<QpSpecification> selectQpSpecificationList(QpSpecification qpSpecification);

    /**
     * 新增气瓶规格
     *
     * @param qpSpecification 气瓶规格
     * @return 结果
     */
    public int insertQpSpecification(QpSpecification qpSpecification);

    /**
     * 修改气瓶规格
     *
     * @param qpSpecification 气瓶规格
     * @return 结果
     */
    public int updateQpSpecification(QpSpecification qpSpecification);

    /**
     * 删除气瓶规格
     *
     * @param id 气瓶规格主键
     * @return 结果
     */
    public int deleteQpSpecificationById(Long id);

    /**
     * 批量删除气瓶规格
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteQpSpecificationByIds(Long[] ids);
}
